Bug 43075 - Pick up spec change w.r.t. figcaption and summary
Summary: Pick up spec change w.r.t. figcaption and summary
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on:
Blocks: 41123
  Show dependency treegraph
 
Reported: 2010-07-27 13:42 PDT by Adam Barth
Modified: 2010-08-05 00:05 PDT (History)
2 users (show)

See Also:


Attachments
Patch (3.49 KB, patch)
2010-07-27 13:43 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2010-07-27 13:42:44 PDT
Pick up spec change w.r.t. figcaption and summary
Comment 1 Adam Barth 2010-07-27 13:43:35 PDT
Created attachment 62738 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-07-27 13:46:06 PDT
Comment on attachment 62738 [details]
Patch

LGTM.  Thanks.
Comment 3 WebKit Commit Bot 2010-07-28 16:03:01 PDT
Comment on attachment 62738 [details]
Patch

Rejecting patch 62738 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Eric Seidel', u'--force']" exit_code: 1
Last 500 characters of output:
tch file(s).
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/html5lib/runner-expected-html5.txt
Hunk #1 FAILED at 162.
Hunk #2 FAILED at 183.
2 out of 2 hunks FAILED -- saving rejects to file LayoutTests/html5lib/runner-expected-html5.txt.rej
patching file WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebCore/html/HTMLTreeBuilder.cpp
Hunk #1 succeeded at 1938 (offset -22 lines).
Hunk #2 succeeded at 1949 (offset -22 lines).

Full output: http://queues.webkit.org/results/3638061
Comment 4 Adam Barth 2010-08-04 17:36:46 PDT
Comment on attachment 62738 [details]
Patch

Clearing flags on attachment: 62738

Committed r64699: <http://trac.webkit.org/changeset/64699>
Comment 5 Adam Barth 2010-08-04 17:36:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Alexey Proskuryakov 2010-08-05 00:02:14 PDT
I would really appreciate a more detailed ChangeLog - there is no easy way to find out what changed here!
Comment 7 Adam Barth 2010-08-05 00:05:53 PDT
> I would really appreciate a more detailed ChangeLog - there is no easy way to find out what changed here!

The diff to the spec is essentially identical to the diff to the code.  These tags got added to these lists.  I'm not really sure why, but I assume the working group knows what it's doing.